---
title: Ansible Wiki Monitoring Intro
tags:
- ansible
---
# Monitoring and Alerts

- [Introduction](monitoring/introduction)
- [Monitoring](monitoring/monitoring)
- [Alerts](monitoring/alerts)
    - [Alerts on Log Data](monitoring/alerts-elk)
    - [Alerts on live Host Data](monitoring/alerts-netdata)
    - [Alerts on Availability](monitoring/alerts-uptime)

# Introduction

The links above are explaining the various details about monitoring and alerts. This intro will simply give you an overview of where you can access the monitoring and alert logs.

First of all, the access tp the various systems is controlled by GitLab where you can find a list of companies that you can access in the [Hosts Group](https://gitlab.lakedrops.com/ansible-inventories/hosts) of the [Ansible Inventories](https://gitlab.lakedrops.com/ansible-inventories). Inside of the hosts group there are groups for each company you have access to and inside of each company group you'll find a project for each host of that company. Those repositories contains the version controlled `/etc` directory of that host which helps to find out configuration changes of each host while browsing the history. Those repositories are read-only and will be updated by each of the hosts automatically when ever there are changes to anything inside the etc directory.

## Alert overview

We are using [Alerta](https://gitlab.lakedrops.com/ansible/roles/alerta) to collect and display aggregated and de-douplicated alerts from various sources described in the links above.

You can get access to all alerts of all "your" companies in the [LakeDrops Alerta](https://alerta.lakedrops.com) dashboard. Login to the dashboard by authenticating yourself at GitLab, you will be redirected automatically.

## Activity log and chat

All these systems are also integrated with the [LakeDrops Mattermost](https://mattermost.lakedrops.com/paragon) instance where you can also authenticate yourself with your GitLab credentials.

## Getting access

You think you should get access to another company in GitLab, Mattermost and Alerta? Just raise an issue in the inventory of that company and we'll take care of it.
