---
title: Host setup
tags:
- documentation
- tools
---
# Host setup

## Recommended files in developer's HOME directory

### ~/.env

```dotenv
COMPOSER_DOWNGRADE=0
CYPRESS=0
DOCKER4DRUPAL_LIVE_HOST_USERNAME=YOURNAME
DOCKER4DRUPAL_TRAEFIK_CERT=
DOCKER4DRUPAL_TRAEFIK_DNS_CHALLENGE=0
DOCKER4DRUPAL_TRAEFIK_DNS_CHALLENGE_PROVIDER=
DOCKER4DRUPAL_TRAEFIK_DNS_CHALLENGE_RESOLVER=
DOCKER4DRUPAL_TRAEFIK_DOMAIN=docker.localhost
DOCKER4DRUPAL_TRAEFIK_ENV_1=key:value
DOCKER4DRUPAL_TRAEFIK_ENV_2=key:value
DOCKER4DRUPAL_TRAEFIK_ENV_3=0
DOCKER4DRUPAL_TRAEFIK_HUB_TOKEN=
DOCKER4DRUPAL_TRAEFIK_KEY=
DOCKER4DRUPAL_TRAEFIK_PORT=80
DOCKER4DRUPAL_TRAEFIK_PORTAINER=1
DOCKER4DRUPAL_TRAEFIK_PORTS=443
DOCKER4DRUPAL_TRAEFIK_USESSL=0
DOCKER_IMAGE_PREFIX=
DORGFLOW=0
DRUPAL_LIVE=0
GITLAB_PRIVATE_TOKEN=
GITLAB_URL=
LOCAL_IP=1
MAILHOG_HOST=smtp.freesmtpservers.com
MAILHOG_MECHANISM=NONE
MAILHOG_PASSWORD=
MAILHOG_PORT=25
MAILHOG_USERNAME=
PHP_COVERAGE=0
PHP_DEBUG=0
PHP_VERSION=8.1
WEBSERVER_CONFIG_OVERWRITE=0
```

### ~/.gitconfig

```editorconfig
[user]
	name = YOURNAME
	email = YOUREMAIL
[core]
	autocrlf = input
	excludesfile = ~/.gitignore_global
[push]
	default = simple
[filter "lfs"]
	clean = git-lfs clean -- %f
	smudge = git-lfs smudge -- %f
	required = true
	process = git-lfs filter-process
[credential]
	helper = cache --timeout=3600
[init]
	templatedir = ~/.git-templates
```

### ~/.gitignore_global

```gitignore
.idea/
*.iml
test.http
```

### ~/.composer/auth.json

```json
{
  "http-basic": {
    "git.drupalcode.org": {
      "username": "YOURNAME",
      "password": null
    }
  },
  "github-oauth": {
    "github.com": "YOURTOKEN"
  },
  "gitlab-oauth": {},
  "gitlab-token": {
    "gitlab.lakedrops.com": "YOURTOKEN",
    "gitlab.com": "YOURTOKEN",
    "git.drupalcode.org": "YOURTOKEN"
  }
}
```

### ~/.docker/config.json

```json
{
  "auths": {
    "registry.gitlab.com": {
      "auth": "YOURAUTH"
    },
    "registry.lakedrops.com": {
      "auth": "YOURAUTH"
    }
  }
}
```
