---
title: LakeDrops Framework
tags:
- projects
---
# LakeDrops Framework

## Boards

- [ECA Guide](https://gitlab.lakedrops.com/drupal/documentation/eca/-/boards)
- [GitLab CI/CD](https://gitlab.lakedrops.com/groups/gitlab-ci-cd/-/boards)
- [Composer](https://gitlab.lakedrops.com/groups/composer/-/boards)
- [Docker](https://gitlab.lakedrops.com/groups/docker/-/boards)
- [Drupal](https://gitlab.lakedrops.com/groups/drupal/-/boards)
- [Ansible](https://gitlab.lakedrops.com/groups/ansible/-/boards)

## Projects

| Project                                                                                                          | Current Version | Issues                                                                                                 |
|------------------------------------------------------------------------------------------------------------------|----------------:|--------------------------------------------------------------------------------------------------------|
| BS Framework                                                                                                     |                 | [Drupal Board](https://gitlab.lakedrops.com/groups/bitegra/portal/drupal/-/boards)                     |
| - [Dev Environment](https://gitlab.lakedrops.com/bitegra/portal/drupal/projects/portal-default)                  |          master | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/projects/portal-default/-/boards)         |
| - [Portal Profile](https://gitlab.lakedrops.com/bitegra/portal/drupal/profiles/portal)                           |           1.1.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/profiles/portal/-/boards)                 |
| - [Dashboard](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/dashboard)                              |           1.1.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/dashboard/-/boards)               |
| - [Base Theme](https://gitlab.lakedrops.com/bitegra/portal/drupal/themes/portal)                                 |           1.1.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/themes/portal/-/boards)                   |
| - [DataCore](https://gitlab.lakedrops.com/bitegra/portal/data-core)                                              |           3.0.0 | [Private](https://gitlab.lakedrops.com/groups/bitegra/portal/data-core/-/boards)                       |
| - [Inventory](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/inventory)                              |           3.1.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/inventory/-/boards)               |
| - [Inventory Real Estate](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/inventory-real-estate)      |           3.1.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/inventory-real-estate/-/boards)   |
| - [Service Providers](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/service-providers)              |           1.0.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/service-providers/-/boards)       |
| - [Shop](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/shop)                                        |           1.0.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/shop/-/boards)                    |
| - [Sync](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/sync)                                        |           1.0.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/sync/-/boards)                    |
| - [GoNative](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/gonative)                                |           1.0.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/gonative/-/boards)                |
| - [Scheduled Publish](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/scheduled-publish)              |           1.0.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/scheduled-publish/-/boards)       |
| - [Open Transportdata Swiss](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/opentransportdata-swiss) |           1.0.0 | [Private](https://gitlab.lakedrops.com/bitegra/portal/drupal/modules/opentransportdata-swiss/-/boards) |
| - [Self-Service](#)                                                                                              |                 |                                                                                                        |
| - [Content Pool](#)                                                                                              |                 |                                                                                                        |
| - [Partner Services](#)                                                                                          |                 |                                                                                                        |
| Real-Estate                                                                                                      |                 |                                                                                                        |
| - [Relocation](#)                                                                                                |                 |                                                                                                        |
| - [Free Properties](#)                                                                                           |                 |                                                                                                        |
| Hospitality                                                                                                      |                 |                                                                                                        |
| - [Gastro](#)                                                                                                    |                 |                                                                                                        |
| Demo Sites                                                                                                       |                 |                                                                                                        |
| - [Salles](https://gitlab.lakedrops.com/bitegra/portal/drupal/demos/real-estate)                                 |           1.0.0 |                                                                                                        |
| - [Salles Assets](https://gitlab.lakedrops.com/bitegra/portal/drupal/demos/assets)                               |          master |                                                                                                        |

## Architecture

### Overview

This is the first level of our architecture containing two applications, a Drupal Portal and a Datacore.
These two application have no direct dependency.

```plantuml

@startuml

component drupal [
    Drupal Portal
]

component datacore [
    Datacore
]

folder "Customer Business Systems" {
    component ecommerce [
        eCommerce
    ]
    
    component re [
        Real Estate
    ]
}

[drupal] <.. JSON
[datacore] ..> JSON : via REST API
note left: Import in Drupal via Migrate


[re] .. [datacore]
[ecommerce] .. [datacore]

@enduml

```

Both applications are standalone and can be developed, maintained and operated speparatly.

### Components

Currently, there are two productive components available. The architecture is built
to integrate other business components easily.

```plantuml

@startuml

component basic [
    Basic
]

component re [
    Real Estate
]

component other [
    Other Business
]

[basic] <-- [re]
[basic] <-- [other]

@enduml

```


Deeper insides:

- [Basic](/projects/lakedrops/architecture/Basic)
- [Real Estate](/projects/lakedrops/architecture/Real-Estate)
